/** Squz specific **/

.sq-checkbox-wrapper ul {
    list-style-type: none;
    padding: 0;
}

.sq-checkbox-wrapper li {
    display: flex;
    gap: 0.25em;
    margin: 0 0 0.5em;
}

.sq-checkbox-wrapper input[type="checkbox"] {
    margin: 0;
}

ul.sq-form-errors {   /* %form_errors% keyword for Custom Forms */
    list-style-type: none;
    position: relative;
    display: flex;
    gap: 0.35em;
    margin: 0 0 0.35em;
}

ul.sq-form-errors li:before {
    content: \f057;
}

/** End of Squiz specific **/

/** Generic **/

.group-toggle-wrapper {
    margin: 2em 0 0;
}

.group-toggle-wrapper ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.group-toggle-wrapper li {
    display: flex;
    gap: 0.45em;
    align-items: center;
}

.group-toggle-wrapper input, .group-toggle-wrapper label {
    margin: 0;
}

.group-toggle-wrapper--hide-top ul li:first-child {
    display: none;
}

.group-toggle-wrapper--hide-bottom ul li:last-child {
    display: none;
}

/** End of generic **/

.ct-main-form-button-wrapper {
    display: flex;
    flex-flow: row wrap;
    gap: 1.2em;
}

.ct-link-as-button {
    display: flex;
    gap: 0.3em;
    background-color: #ef7b10 !important;
    border-radius: 5px !important;
    align-items: center;
    color: black;
    text-decoration: none;
    border: solid;
    border-width: 2px;
	padding: 0.25em 1em;
	font-weight: bold;
}

.ct-summary-page__section .ct-link-as-button {
    align-self: start;
}

a.ct-link-as-button:hover {
    color: white !important;
    text-decoration: none !important;
}

.ct-link-as-button i {
    padding: 0;
    margin: 0;
}

.ct-form-button, .sq-form-submit, .sq-form-field, .ct-main-form-button-wrapper > input[type=submit] {
    border: solid;
    border-width: 2px;
	padding: 0.25em 1em;
	font-weight: bold;
	border-radius: 5px !important;
	margin: 1.5em 0 0;
}

.ct-form-button--hollow, .sq-form-submit, .sq-form-field, .ct-main-form-button-wrapper > input[type=submit] {
	background-color: white;
    border-color: #ef7b10 !important;
}

.ct-form-button--solid {
	border-color: #ef7b10 !important;
	background-color: #ef7b10 !important;
	color: black;
}

span.ct-opening-times__button-wrapper-title--disabled {
    color: #a8a8a8;
}

button:disabled.ct-form-button--solid {
    border-color: #a8a8a8 !important;
	background-color: #a8a8a8 !important;
	color: white;
}

.ct-form-input__field-wrapper {
    border: 2px solid #b3b3b3 !important;
    padding: 1px;
    border-radius: 5px !important;
    display: inline-flex;
    flex-flow: column nowrap;
    gap: 0.35em;
}

.ct-form-input__field-wrapper textarea {
    resize: none;
}

.ct-form-input__field-wrapper--pad-bottom {
    margin: 0 0 1.5em;
}

.ct-form-input__field-wrapper--error {
    border: 2px solid #e51212 !important;
}



.ct-form-error-message {
    position: relative;
    display: flex;
    gap: 0.35em;
    margin: 0 0 0.35em;
}

.ct-form-error-message i {
    line-height: 1.8em;
    color: #e51212;
}

.ct-form-error-message p {
    margin: 0;
}

.ct-form-input__field {
    width: 100%;
    border: none;
    padding: 0.25em;
}

#CTFormEditButton {
	margin: 0;
}

.ct-form-input {
    border-radius: 5px !important;
    border: 2px solid #b3b3b3;
    padding: 0.25em;
}

.ct-field-stack > input + label {
    display: flex;
    flex-flow: column;
    gap: 1.2em;
}



.ct-opening-times {
	display: flex;
	flex-flow: column nowrap;
	gap: 0.5em; 
}

.ct-opening-times__button-wrapper {
    display: flex;
    justify-content: space-between;
    margin: 0;
    padding: 0.75em 0em;
    gap: 0.7em;
    align-items: center;
}

.ct-summary-page__section .ct-opening-times__button-wrapper {
    padding: 0 0 0.75em;
}

.ct-opening-times__button-wrapper--grey {
	background-color: #e8e8e8 !important;
	gap: 0;
	padding: 0.75em;
}

.ct-opening-times__button {
	background-color: transparent;
	border: none; 
}

.ct-opening-times__panel {
	background-color: #f8f8f8;
	padding: 1em 1em 1.5em; 
	display: none;
}

.ct-opening-times__panel--open {
    display: grid;
}

.ct-opening-times__panel-heading {
	margin: 0 0 0.5em; 
}

.ct-opening-times__day-panel {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
	gap: 1.25em;
	padding: 0.25em 0.75em; 
}

.ct-opening-times__day-panel-field {
	display: flex;
	flex-flow: column nowrap; 
}

.ct-opening-times__day-panel-error-message-wrapper {
	background-color: #d92929 !important;
	color: white;
	padding: 0.25em 1em;
	display: flex;
	margin: 0 0 0.3em;
	border-radius: 5px !important;
	padding: 0.3em 0.75em;
	position: relative;
}

.ct-opening-times__day-panel-error-message-icon {
	flex-basis: 1.5em;
	position: absolute;
	top: -0.75em;
	left: 0.3em;
	background-color: #ad2323;
	padding: 0.25em 0.35em;
	border-radius: 0.75em !important;
}

.ct-opening-times__day-panel-error-messsage-icon-label {
	font-family: Arial;
	padding: 0 0.25em 0;
	font-size: 0.85em; 
}

.ct-opening-times__day-panel-error-message {
	margin: 0;
	flex: 1 0 0;
	padding: 0.75em 0 0;
	line-height: 1.35em;
}

.ct-summary-page__section {
    border: 1px solid #ebebeb;
    padding: 1.5em !important;
    box-shadow: 3px 3px 8px #f8f8f8;
    margin: 0 0 1.2em;  
}

.ct-summary-page__section h3,
.ct-summary-page__section h4 {
    margin: 0;
    line-height: 1.4em;
}

.ct-summary-page__section p {
    margin: 0;
}

.ct-summary-page__section p + ul {
    margin: 0.75em 0 0;
}

.ct-summary-page__section p + h4 {
    margin: 0.6em 0 0;
}

table#CTSummaryPageOpeningTimesTable {
    border-collapse: collapse;
    width: 100%;
    margin: 0.75em 0 0;
}

table#CTSummaryPageOpeningTimesTable tr {
    border-bottom: 1px solid #bcb5b5;
}

table#CTSummaryPageOpeningTimesTable td {
    padding: 0.45em;
}